foreman upgrade failed 1.9.2 -> 1.10.0

12/30/2015 07:35 PM - rui fernandes

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Triaged:  Found in Releases: 1.10.0

Fixed in Releases:    

Description

I just upgrade two foreman installation. The first one went as expected, but the second failed.

I followed the steps in http://theforeman.org/manuals/1.10/index.html#3.6Upgrade

its failing at: foreman-rake db:migrate

Any suggestions?

1. foreman-rake db:migrate --trace

rake aborted!

Gem loading error: cannot load such file -- nokogiri/nokogiri

/opt/theforeman/tfm/root/usr/share/gems/gems/bundler_ext-0.3.0/lib/bundler_ext/bundler_ext.rb:30:in `strict_error'

/opt/theforeman/tfm/root/usr/share/gems/gems/bundler_ext-0.3.0/lib/bundler_ext/bundler_ext.rb:56:in `rescue in block in

system_require'

/opt/theforeman/tfm/root/usr/share/gems/gems/bundler_ext-0.3.0/lib/bundler_ext/bundler_ext.rb:37:in `block in system_require'

/opt/theforeman/tfm/root/usr/share/gems/gems/bundler_ext-0.3.0/lib/bundler_ext/bundler_ext.rb:35:in `each'

/opt/theforeman/tfm/root/usr/share/gems/gems/bundler_ext-0.3.0/lib/bundler_ext/bundler_ext.rb:35:in `system_require'

/usr/share/foreman/config/application.rb:14:in `<top (required)>'

/opt/rh/ruby193/root/usr/share/rubygems/rubygems/custom_require.rb:36:in `require'

/opt/rh/ruby193/root/usr/share/rubygems/rubygems/custom_require.rb:36:in `require'

/usr/share/foreman/Rakefile:1:in `<top (required)>'

/opt/rh/ruby193/root/usr/share/ruby/rake/rake_module.rb:25:in `load'

/opt/rh/ruby193/root/usr/share/ruby/rake/rake_module.rb:25:in `load_rakefile'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:501:in `raw_load_rakefile'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:82:in `block in load_rakefile'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:133:in `standard_exception_handling'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:81:in `load_rakefile'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:65:in `block in run'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:133:in `standard_exception_handling'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:63:in `run'

/opt/rh/ruby193/root/usr/bin/rake:32:in `<main>'

History

#1 - 01/01/2016 01:59 PM - rui fernandes

I had to uninstall ruby (removed all RPMs with ruby in the make), removed all of the ruby directories like /usr/ruby, /var/lib64/ruby, /root/.gem, etc.

I saved the database backup, and /etc/foreman files.

I reinstalled:puppet, facter,  foreman, foreman-cli, foreman-proxe, foreman-vmware, etc.

restored the /etc/foreman fils.

After this, I was able to run: foreman-rake db:migrate and foreman-rake db:seed

everything appears to be fine now.

#2 - 01/04/2016 02:58 AM - Dominic Cleal

- Status changed from New to Resolved

05/19/2024 1/2

http://theforeman.org/manuals/1.10/index.html#3.6Upgrade


For the record, this happens when you have ruby193-rubygems-1.2.24 installed, it should be .23.  Anyone else hitting this, see the yum downgrade

command in the upgrade link above.
